SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001413SiT!incidentspublic2010-10-13 20:362011-04-02 18:06
Reporternicdev 
Assigned Topaulh 
PrioritynormalSeveritytweakReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version3.62 LTS 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0001413: For new plugin: Add plugin_do to incident_details and give 'id' to div tag
DescriptionFor an new plugin we are working on, we need to add a plugin_do to incident_details.php and we need to give the update details "<div>" tag a name ('id').

The plugin aims to use JS to enable an engineer to hide or show updates by clicking a "hide/show" button in the update bar. To do this we need to let the <div> have an id like <div class='detailentry' id='{$updateid}>.

The plugin_do will contain the <script> tags and the ajax code. The JS will be in a separate .js file.

During initial testing it seems giving an 'id' to the <div> tags has no effect on existing code, nor does the plugin_do.

Any inputs appreciated from the dev team.

Thanks guys
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0003433)
nicdev (developer)
2010-10-13 20:42

Hi,

sorry i forgot to mention that the plugin do will also insert the html for the show/hide button ;)

Thanks
User avatar (0003445)
paulh (administrator)
2010-10-16 12:55

this seems like a reasonable suggestion
User avatar (0003692)
paulh (administrator)
2011-04-02 18:06

added in 1888083f53ee4231b84ec78a8b96ba0b575260e9

- Issue History
Date Modified Username Field Change
2010-10-13 20:36 nicdev New Issue
2010-10-13 20:42 nicdev Note Added: 0003433
2010-10-16 12:55 paulh Note Added: 0003445
2010-10-16 12:55 paulh Status new => acknowledged
2010-12-19 14:10 ivan Target Version => 4.0
2011-02-14 13:21 ivan Target Version 4.0 => 3.90beta1
2011-04-02 17:37 paulh Assigned To => paulh
2011-04-02 17:37 paulh Status acknowledged => assigned
2011-04-02 18:06 paulh Note Added: 0003692
2011-04-02 18:06 paulh Status assigned => resolved
2011-04-02 18:06 paulh Resolution open => fixed
2011-04-02 18:06 paulh Fixed in Version => Current GIT


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker